#include <psychlops.h>
using namespace Psychlops;

double width=100,height=100;
Psychlops::Rectangle rect1(width,height);
Psychlops::Color col;
Psychlops::Image Noise1(rect1,Image::GRAY);

void psychlops_main() {

	Canvas sampleA(Canvas::fullscreen);
	//水平方向に2,垂直方向に5間隔の点を描画する。
	for(int x=0; x<width; x+=2){
		for(int y=0; y<height; y+=5){
			col.set(0.5);
			Noise1.pix(x,y,col);
		}
	}
	Noise1.draw();
	sampleA.flip();
	while(!Input::get(Keyboard::spc));
}